Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in php-eaccelerator
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in php-eaccelerator
ID: FEDORA-2012-9762
Distribution: Fedora
Plattformen: Fedora 16
Datum: Di, 3. Juli 2012, 08:17
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2143
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2386
Applikationen: php-eaccelerator

Originalnachricht

Name        : php-eaccelerator
Product : Fedora 16
Version : 0.9.6.1
Release : 9.fc16.6
URL : http://eaccelerator.net/
Summary : PHP accelerator, optimizer, encoder and dynamic content cacher
Description :
eAccelerator is a further development of the MMCache PHP Accelerator &
Encoder.
It increases performance of PHP scripts by caching them in compiled state, so
that the overhead of compiling is almost completely eliminated.

-------------------------------------------------------------------------------
-
Update Information:

The PHP development team would like to announce the immediate availability of
PHP 5.3.14. All users of PHP are encouraged to upgrade to PHP 5.3.14.

The release fixes multiple security issues: A weakness in the DES
implementation of crypt and a heap overflow issue in the phar extension.

PHP 5.3.14 fixes over 30 bugs. Please note that the use of php://fd streams is
now restricted to the CLI SAPI

Changelog: http://www.php.net/ChangeLog-5.php#5.3.14
-------------------------------------------------------------------------------
-
ChangeLog:

* Thu Jun 21 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.6
- rebuild against PHP 5.3.14
* Wed May 9 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.5
- rebuild against PHP 5.3.13
* Thu May 3 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.4
- rebuild against PHP 5.3.12
* Fri Apr 27 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.3
- rebuild against PHP 5.3.11
* Sat Feb 4 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.2
- rebuild against PHP 5.3.10
* Wed Jan 11 2012 Remi Collet <remi@fedoraproject.org> - 1:0.9.6.1-9.1
- rebuild against PHP 5.3.9
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #816956 - CVE-2012-2143 BSD crypt(): DES encrypted password
weakness
https://bugzilla.redhat.com/show_bug.cgi?id=816956
[ 2 ] Bug #823594 - CVE-2012-2386 php: Integer overflow leading to
heap-buffer overflow in the Phar extension
https://bugzilla.redhat.com/show_bug.cgi?id=823594
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update php-eaccelerator' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung